### Method

# Secret Service get_secrets_for_dbus_paths

#### Declaration [src]

    void
    secret_service_get_secrets_for_dbus_paths (
      SecretService* self,
      const gchar** item_paths,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Get the secret values for a secret item stored in the service.

The items are represented by their D-Bus object paths. If you already have `SecretItem` proxy objects, use use `secret_item_load_secrets()` to more simply get their secret values.

This function returns immediately and completes asynchronously.

Stability: Unstable

This method completes asynchronously. Use `secret_service_get_secrets_for_dbus_paths_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

This method is not directly available to language bindings.

#### Parameters

`item_paths`

  Type: `const gchar**`

  The D-Bus paths to items to retrieve secrets for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.